Index: make/main.c
===================================================================
RCS file: /cvs/src/usr.bin/make/main.c,v
retrieving revision 1.7
diff -u -u -r1.7 main.c
--- make/main.c	24 Oct 2004 22:43:58 -0000	1.7
+++ make/main.c	7 Nov 2004 20:02:15 -0000
@@ -194,7 +194,7 @@
 			break;
 		case 'V':
 			printVars = TRUE;
-			(void)Lst_AtEnd(variables, (ClientData)optarg);
+			Lst_AtEnd(variables, (ClientData)optarg);
 			Var_Append(MAKEFLAGS, "-V", VAR_GLOBAL);
 			Var_Append(MAKEFLAGS, optarg, VAR_GLOBAL);
 			break;
@@ -288,8 +288,8 @@
 			p = malloc(strlen(optarg) + 1);
 			if (!p)
 				Punt("make: cannot allocate memory.");
-			(void)strcpy(p, optarg);
-			(void)Lst_AtEnd(envFirstVars, (ClientData)p);
+			strcpy(p, optarg);
+			Lst_AtEnd(envFirstVars, (ClientData)p);
 			Var_Append(MAKEFLAGS, "-E", VAR_GLOBAL);
 			Var_Append(MAKEFLAGS, optarg, VAR_GLOBAL);
 			break;
@@ -298,7 +298,7 @@
 			Var_Append(MAKEFLAGS, "-e", VAR_GLOBAL);
 			break;
 		case 'f':
-			(void)Lst_AtEnd(makefiles, (ClientData)optarg);
+			Lst_AtEnd(makefiles, (ClientData)optarg);
 			break;
 		case 'i':
 			ignoreErrors = TRUE;
@@ -381,7 +381,7 @@
 					optind = 1;     /* - */
 				goto rearg;
 			}
-			(void)Lst_AtEnd(create, (ClientData)estrdup(*argv));
+			Lst_AtEnd(create, (ClientData)estrdup(*argv));
 		}
 }
 
@@ -432,7 +432,7 @@
 		}
 		else {
 			if (path[0] != '/') {
-				(void) snprintf(obpath, MAXPATHLEN, "%s/%s",
+				snprintf(obpath, MAXPATHLEN, "%s/%s",
 						curdir, path);
 				return obpath;
 			}
@@ -511,7 +511,7 @@
 		if (getrlimit(RLIMIT_NOFILE, &rl) != -1 &&
 		    rl.rlim_cur != rl.rlim_max) {
 			rl.rlim_cur = rl.rlim_max;
-			(void) setrlimit(RLIMIT_NOFILE, &rl);
+			setrlimit(RLIMIT_NOFILE, &rl);
 		}
 	}
 #endif
@@ -531,7 +531,7 @@
 	if ((pwd = getenv("PWD")) != NULL) {
 	    if (stat(pwd, &sb) == 0 && sa.st_ino == sb.st_ino &&
 		sa.st_dev == sb.st_dev)
-		(void) strcpy(curdir, pwd);
+		strcpy(curdir, pwd);
 	}
 #endif
 
@@ -618,11 +618,11 @@
 		if (!(path = getenv("MAKEOBJDIR"))) {
 			path = _PATH_OBJDIR;
 			pathp = _PATH_OBJDIRPREFIX;
-			(void) snprintf(mdpath, MAXPATHLEN, "%s.%s",
+			snprintf(mdpath, MAXPATHLEN, "%s.%s",
 					path, machine);
 			if (!(objdir = chdir_verify_path(mdpath, obpath)))
 				if (!(objdir=chdir_verify_path(path, obpath))) {
-					(void) snprintf(mdpath, MAXPATHLEN,
+					snprintf(mdpath, MAXPATHLEN,
 							"%s%s", pathp, curdir);
 					if (!(objdir=chdir_verify_path(mdpath,
 								       obpath)))
@@ -633,7 +633,7 @@
 			objdir = curdir;
 	}
 	else {
-		(void) snprintf(mdpath, MAXPATHLEN, "%s%s", pathp, curdir);
+		snprintf(mdpath, MAXPATHLEN, "%s%s", pathp, curdir);
 		if (!(objdir = chdir_verify_path(mdpath, obpath)))
 			objdir = curdir;
 	}
@@ -730,7 +730,7 @@
 	Suff_Init();
 
 	DEFAULT = NILGNODE;
-	(void)time(&now);
+	time(&now);
 
 	/*
 	 * Set up the .TARGETS variable to contain the list of targets to be
@@ -792,9 +792,9 @@
 		if (ln != NILLNODE)
 			Fatal("make: cannot open %s.", (char *)Lst_Datum(ln));
 	} else if (!ReadMakefile("makefile", NULL))
-		(void)ReadMakefile("Makefile", NULL);
+		ReadMakefile("Makefile", NULL);
 
-	(void)ReadMakefile(".depend", NULL);
+	ReadMakefile(".depend", NULL);
 
 	Var_Append("MFLAGS", Var_Value(MAKEFLAGS, VAR_GLOBAL, &p1), VAR_GLOBAL);
 	efree(p1);
@@ -837,7 +837,7 @@
 			*cp = savec;
 			path = cp + 1;
 		} while (savec == ':');
-		(void)free((Address)vpath);
+		free((Address)vpath);
 	}
 
 	/*
@@ -862,7 +862,7 @@
 				if (!p1)
 					Punt("make: cannot allocate memory.");
 				/* This sprintf is safe, because of the malloc above */
-				(void)sprintf(p1, "${%s}", (char *)Lst_Datum(ln));
+				sprintf(p1, "${%s}", (char *)Lst_Datum(ln));
 				value = Var_Subst(NULL, p1, VAR_GLOBAL, FALSE);
 			} else {
 				value = Var_Value((char *)Lst_Datum(ln),
@@ -960,7 +960,7 @@
 
 		/* if we've chdir'd, rebuild the path name */
 		if (curdir != objdir && *fname != '/') {
-			(void)snprintf(path, MAXPATHLEN, "%s/%s", curdir, fname);
+			snprintf(path, MAXPATHLEN, "%s/%s", curdir, fname);
 			/*
 			 * XXX The realpath stuff breaks relative includes
 			 * XXX in some cases.   The problem likely is in
@@ -1017,7 +1017,7 @@
 		if (setMAKEFILE)
 			Var_Set("MAKEFILE", MAKEFILE, VAR_GLOBAL);
 		Parse_File(fname, stream);
-		(void)fclose(stream);
+		fclose(stream);
 	}
 	return(TRUE);
 }
@@ -1076,17 +1076,17 @@
 	/*
 	 * Close input side of pipe
 	 */
-	(void) close(fds[0]);
+	close(fds[0]);
 
 	/*
 	 * Duplicate the output stream to the shell's output, then
 	 * shut the extra thing down. Note we don't fetch the error
 	 * stream...why not? Why?
 	 */
-	(void) dup2(fds[1], 1);
-	(void) close(fds[1]);
+	dup2(fds[1], 1);
+	close(fds[1]);
 
-	(void) execv("/bin/sh", args);
+	execv("/bin/sh", args);
 	_exit(1);
 	/*NOTREACHED*/
 
@@ -1098,7 +1098,7 @@
 	/*
 	 * No need for the writing half
 	 */
-	(void) close(fds[1]);
+	close(fds[1]);
 
 	buf = Buf_Init (MAKE_BSIZE);
 
@@ -1113,7 +1113,7 @@
 	/*
 	 * Close the input side of the pipe.
 	 */
-	(void) close(fds[0]);
+	close(fds[0]);
 
 	/*
 	 * Wait for the process to exit.
@@ -1186,10 +1186,10 @@
 	va_start(ap);
 	fmt = va_arg(ap, char *);
 #endif
-	(void)vfprintf(stderr, fmt, ap);
+	vfprintf(stderr, fmt, ap);
 	va_end(ap);
-	(void)fprintf(stderr, "\n");
-	(void)fflush(stderr);
+	fprintf(stderr, "\n");
+	fflush(stderr);
 }
 
 /*-
@@ -1224,10 +1224,10 @@
 	if (jobsRunning)
 		Job_Wait();
 
-	(void)vfprintf(stderr, fmt, ap);
+	vfprintf(stderr, fmt, ap);
 	va_end(ap);
-	(void)fprintf(stderr, "\n");
-	(void)fflush(stderr);
+	fprintf(stderr, "\n");
+	fflush(stderr);
 
 	if (DEBUG(GRAPH2))
 		Targ_PrintGraph(2);
@@ -1264,11 +1264,11 @@
 	fmt = va_arg(ap, char *);
 #endif
 
-	(void)fprintf(stderr, "make: ");
-	(void)vfprintf(stderr, fmt, ap);
+	fprintf(stderr, "make: ");
+	vfprintf(stderr, fmt, ap);
 	va_end(ap);
-	(void)fprintf(stderr, "\n");
-	(void)fflush(stderr);
+	fprintf(stderr, "\n");
+	fflush(stderr);
 
 	DieHorribly();
 }
@@ -1392,7 +1392,7 @@
 static void
 usage()
 {
-	(void)fprintf(stderr, "%s\n%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n%s\n",
 "usage: make [-BPSXeiknqrstv] [-C directory] [-D variable] [-d flags]",
 "            [-E variable] [-f makefile] [-I directory] [-j max_jobs]",
 "            [-m directory] [-V variable] [variable=value] [target ...]");
Index: make/make.c
===================================================================
RCS file: /cvs/src/usr.bin/make/make.c,v
retrieving revision 1.3
diff -u -u -r1.3 make.c
--- make/make.c	3 Nov 2003 19:31:30 -0000	1.3
+++ make/make.c	7 Nov 2004 20:02:15 -0000
@@ -154,7 +154,7 @@
      * doesn't depend on their modification time...
      */
     if ((gn->type & (OP_JOIN|OP_USE|OP_EXEC)) == 0) {
-	(void) Dir_MTime (gn);
+	Dir_MTime (gn);
 	if (DEBUG(MAKE)) {
 	    if (gn->mtime != 0) {
 		printf ("modified %s...", Targ_FmtTime(gn->mtime));
@@ -291,7 +291,7 @@
     Lst            l = (Lst) lp;
 
     if (!gn->make && !(gn->type & OP_USE)) {
-	(void)Lst_EnQueue (l, (ClientData)gn);
+	Lst_EnQueue (l, (ClientData)gn);
     }
     return (0);
 }
@@ -333,7 +333,7 @@
 	     * .USE or transformation and target has no commands -- append
 	     * the child's commands to the parent.
 	     */
-	    (void) Lst_Concat (pgn->commands, cgn->commands, LST_CONCNEW);
+	    Lst_Concat (pgn->commands, cgn->commands, LST_CONCNEW);
 	}
 
 	if (Lst_Open (cgn->children) == SUCCESS) {
@@ -341,8 +341,8 @@
 		gn = (GNode *)Lst_Datum (ln);
 
 		if (Lst_Member (pgn->children, gn) == NILLNODE) {
-		    (void) Lst_AtEnd (pgn->children, gn);
-		    (void) Lst_AtEnd (gn->parents, pgn);
+		    Lst_AtEnd (pgn->children, gn);
+		    Lst_AtEnd (gn->parents, pgn);
 		    pgn->unmade += 1;
 		}
 	    }
@@ -489,7 +489,7 @@
 			    pgn->cmtime = cgn->mtime;
 			}
 		    } else {
-			(void)Make_TimeStamp (pgn, cgn);
+			Make_TimeStamp (pgn, cgn);
 		    }
 		}
 		if (pgn->unmade == 0) {
@@ -497,7 +497,7 @@
 		     * Queue the node up -- any unmade predecessors will
 		     * be dealt with in MakeStartJobs.
 		     */
-		    (void)Lst_EnQueue (toBeMade, (ClientData)pgn);
+		    Lst_EnQueue (toBeMade, (ClientData)pgn);
 		} else if (pgn->unmade < 0) {
 		    Error ("Graph cycles through %s", pgn->name);
 		}
@@ -517,7 +517,7 @@
 	if (succ->make && succ->unmade == 0 && succ->made == UNMADE &&
 	    Lst_Member(toBeMade, (ClientData)succ) == NILLNODE)
 	{
-	    (void)Lst_EnQueue(toBeMade, (ClientData)succ);
+	    Lst_EnQueue(toBeMade, (ClientData)succ);
 	}
     }
 
@@ -853,7 +853,7 @@
 	    if (gn->unmade != 0) {
 		Lst_ForEach (gn->children, MakeAddChild, (ClientData)examine);
 	    } else {
-		(void)Lst_EnQueue (toBeMade, (ClientData)gn);
+		Lst_EnQueue (toBeMade, (ClientData)gn);
 	    }
 	}
     }
@@ -875,7 +875,7 @@
 	 * the finishing of a job. So we fill the Job table as much as we can
 	 * before going into our loop.
 	 */
-	(void) MakeStartJobs();
+	MakeStartJobs();
     }
 
     /*
@@ -891,7 +891,7 @@
     while (!Job_Empty ()) {
 	Job_CatchOutput ();
 	Job_CatchChildren (!usePipes);
-	(void)MakeStartJobs();
+	MakeStartJobs();
     }
 
     errors = Job_End();
Index: make/parse.c
===================================================================
RCS file: /cvs/src/usr.bin/make/parse.c,v
retrieving revision 1.5
diff -u -u -r1.5 parse.c
--- make/parse.c	24 Oct 2004 22:43:58 -0000	1.5
+++ make/parse.c	7 Nov 2004 20:02:15 -0000
@@ -328,13 +328,13 @@
 	fmt = va_arg(ap, char *);
 #endif
 
-	(void)fprintf(stderr, "\"%s\", line %d: ", fname, lineno);
+	fprintf(stderr, "\"%s\", line %d: ", fname, lineno);
 	if (type == PARSE_WARNING)
-		(void)fprintf(stderr, "warning: ");
-	(void)vfprintf(stderr, fmt, ap);
+		fprintf(stderr, "warning: ");
+	vfprintf(stderr, fmt, ap);
 	va_end(ap);
-	(void)fprintf(stderr, "\n");
-	(void)fflush(stderr);
+	fprintf(stderr, "\n");
+	fflush(stderr);
 	if (type == PARSE_FATAL)
 		fatals += 1;
 }
@@ -363,9 +363,9 @@
     GNode          *pgn = (GNode *) pgnp;
     GNode          *cgn = (GNode *) cgnp;
     if (Lst_Member (pgn->children, (ClientData)cgn) == NILLNODE) {
-	(void)Lst_AtEnd (pgn->children, (ClientData)cgn);
+	Lst_AtEnd (pgn->children, (ClientData)cgn);
 	if (specType == Not) {
-	    (void)Lst_AtEnd (cgn->parents, (ClientData)pgn);
+	    Lst_AtEnd (cgn->parents, (ClientData)pgn);
 	}
 	pgn->unmade += 1;
     }
@@ -432,7 +432,7 @@
 	 */
 	Lst_ForEach(gn->parents, ParseLinkSrc, (ClientData)cohort);
 	cohort->type = OP_DOUBLEDEP|OP_INVISIBLE;
-	(void)Lst_AtEnd(gn->cohorts, (ClientData)cohort);
+	Lst_AtEnd(gn->cohorts, (ClientData)cohort);
 
 	/*
 	 * Replace the node in the targets list with the new copy
@@ -480,8 +480,8 @@
 	 * but checking is tedious, and the debugging output can show the
 	 * problem
 	 */
-	(void)Lst_AtEnd(p->successors, (ClientData)s);
-	(void)Lst_AtEnd(s->preds, (ClientData)p);
+	Lst_AtEnd(p->successors, (ClientData)s);
+	Lst_AtEnd(s->preds, (ClientData)p);
 	return 0;
     }
     else
@@ -539,7 +539,7 @@
 	 * invoked if the user didn't specify a target on the command
 	 * line. This is to allow #ifmake's to succeed, or something...
 	 */
-	(void) Lst_AtEnd (create, (ClientData)estrdup(src));
+	Lst_AtEnd (create, (ClientData)estrdup(src));
 	/*
 	 * Add the name to the .TARGETS variable as well, so the user cna
 	 * employ that, if desired.
@@ -554,8 +554,8 @@
 	 */
 	gn = Targ_FindNode(src, TARG_CREATE);
 	if (predecessor != NILGNODE) {
-	    (void)Lst_AtEnd(predecessor->successors, (ClientData)gn);
-	    (void)Lst_AtEnd(gn->preds, (ClientData)predecessor);
+	    Lst_AtEnd(predecessor->successors, (ClientData)gn);
+	    Lst_AtEnd(gn->preds, (ClientData)predecessor);
 	}
 	/*
 	 * The current source now becomes the predecessor for the next one.
@@ -598,7 +598,7 @@
     }
 
     gn->order = waiting;
-    (void)Lst_AtEnd(allsrc, (ClientData)gn);
+    Lst_AtEnd(allsrc, (ClientData)gn);
     if (waiting) {
 	Lst_ForEach(allsrc, ParseAddDep, (ClientData)gn);
     }
@@ -873,7 +873,7 @@
 			if (paths == NULL) {
 			    paths = Lst_Init(FALSE);
 			}
-			(void)Lst_AtEnd(paths, (ClientData)dirSearchPath);
+			Lst_AtEnd(paths, (ClientData)dirSearchPath);
 			break;
 		    case Main:
 			if (!Lst_IsEmpty(create)) {
@@ -885,12 +885,12 @@
 		    case Interrupt:
 			gn = Targ_FindNode(line, TARG_CREATE);
 			gn->type |= OP_NOTMAIN;
-			(void)Lst_AtEnd(targets, (ClientData)gn);
+			Lst_AtEnd(targets, (ClientData)gn);
 			break;
 		    case Default:
 			gn = Targ_NewGN(".DEFAULT");
 			gn->type |= (OP_NOTMAIN|OP_TRANSFORM);
-			(void)Lst_AtEnd(targets, (ClientData)gn);
+			Lst_AtEnd(targets, (ClientData)gn);
 			DEFAULT = gn;
 			break;
 		    case NotParallel:
@@ -928,7 +928,7 @@
 		    if (paths == (Lst)NULL) {
 			paths = Lst_Init(FALSE);
 		    }
-		    (void)Lst_AtEnd(paths, (ClientData)path);
+		    Lst_AtEnd(paths, (ClientData)path);
 		}
 	    }
 	}
@@ -955,7 +955,7 @@
 		 * No wildcards, but we want to avoid code duplication,
 		 * so create a list with the word on it.
 		 */
-		(void)Lst_AtEnd(curTargs, (ClientData)line);
+		Lst_AtEnd(curTargs, (ClientData)line);
 	    }
 
 	    while(!Lst_IsEmpty(curTargs)) {
@@ -967,7 +967,7 @@
 		    gn = Suff_AddTransform (targName);
 		}
 
-		(void)Lst_AtEnd (targets, (ClientData)gn);
+		Lst_AtEnd (targets, (ClientData)gn);
 	    }
 	} else if (specType == ExPath && *line != '.' && *line != '\0') {
 	    Parse_Error(PARSE_WARNING, "Extra target (%s) ignored", line);
@@ -1378,8 +1378,8 @@
      * to ``unregister'' variables
      */
 #if __GNUC__
-    (void) &cp;
-    (void) &line;
+    &cp;
+    &line;
 #endif
 
     /*
@@ -1526,7 +1526,7 @@
     GNode *gn = (GNode *) gnp;
     /* if target already supplied, ignore commands */
     if (!(gn->type & OP_HAS_COMMANDS))
-	(void)Lst_AtEnd(gn->commands, cmd);
+	Lst_AtEnd(gn->commands, cmd);
     return(0);
 }
 
@@ -1765,7 +1765,7 @@
     oldFile->p = curPTR;
     oldFile->lineno = lineno;
 
-    (void) Lst_AtFront (includes, (ClientData)oldFile);
+    Lst_AtFront (includes, (ClientData)oldFile);
 
     /*
      * Once the previous state has been saved, we can get down to reading
@@ -1783,7 +1783,7 @@
 	/*
 	 * Pop to previous file
 	 */
-	(void) ParseEOF(0);
+	ParseEOF(0);
     } else {
 	Var_Append(".MAKEFILE_LIST", fullname, VAR_GLOBAL);
     }
@@ -1811,7 +1811,7 @@
     IFile         *oldFile;	/* state associated with this file */
 
     if (DEBUG(FOR))
-	(void) fprintf(stderr, "%s\n----\n", str);
+	fprintf(stderr, "%s\n----\n", str);
 
     oldFile = (IFile *) emalloc (sizeof (IFile));
     oldFile->lineno = lineno;
@@ -1819,7 +1819,7 @@
     oldFile->F = curFILE;
     oldFile->p = curPTR;
 
-    (void) Lst_AtFront (includes, (ClientData)oldFile);
+    Lst_AtFront (includes, (ClientData)oldFile);
 
     curFILE = NULL;
     curPTR = (PTR *) emalloc (sizeof (PTR));
@@ -1950,7 +1950,7 @@
     oldFile->p = curPTR;
     oldFile->lineno = lineno;
 
-    (void) Lst_AtFront (includes, (ClientData)oldFile);
+    Lst_AtFront (includes, (ClientData)oldFile);
 
     /*
      * Once the previous state has been saved, we can get down to reading
@@ -1968,7 +1968,7 @@
 	/*
 	 * Pop to previous file
 	 */
-	(void) ParseEOF(1);
+	ParseEOF(1);
     } else {
 	Var_Append(".MAKEFILE_LIST", fullname, VAR_GLOBAL);
     }
@@ -2006,7 +2006,7 @@
     fname = ifile->fname;
     lineno = ifile->lineno;
     if (opened && curFILE) {
-	(void) fclose (curFILE);
+	fclose (curFILE);
 	Var_Append(".MAKEFILE_LIST", "..", VAR_GLOBAL);
     }
     if (curPTR) {
@@ -2661,10 +2661,10 @@
 	Punt ("no target to make.");
     	/*NOTREACHED*/
     } else if (mainNode->type & OP_DOUBLEDEP) {
-	(void) Lst_AtEnd (listmain, (ClientData)mainNode);
+	Lst_AtEnd (listmain, (ClientData)mainNode);
 	Lst_Concat(listmain, mainNode->cohorts, LST_CONCNEW);
     }
     else
-	(void) Lst_AtEnd (listmain, (ClientData)mainNode);
+	Lst_AtEnd (listmain, (ClientData)mainNode);
     return (listmain);
 }
Index: make/str.c
===================================================================
RCS file: /cvs/src/usr.bin/make/str.c,v
retrieving revision 1.3
diff -u -u -r1.3 str.c
--- make/str.c	24 Oct 2004 22:43:58 -0000	1.3
+++ make/str.c	7 Nov 2004 20:02:15 -0000
@@ -116,8 +116,8 @@
 
 	/* free original strings */
 	if (flags & STR_DOFREE) {
-		(void)free(s1);
-		(void)free(s2);
+		free(s1);
+		free(s2);
 	}
 	return(result);
 }
Index: make/suff.c
===================================================================
RCS file: /cvs/src/usr.bin/make/suff.c,v
retrieving revision 1.5
diff -u -u -r1.5 suff.c
--- make/suff.c	24 Oct 2004 22:43:58 -0000	1.5
+++ make/suff.c	7 Nov 2004 20:02:15 -0000
@@ -420,16 +420,16 @@
 	if (DEBUG(SUFF)) {
 	    printf("at end of list\n");
 	}
-	(void)Lst_AtEnd (l, (ClientData)s);
+	Lst_AtEnd (l, (ClientData)s);
 	s->refCount++;
-	(void)Lst_AtEnd(s->ref, (ClientData) l);
+	Lst_AtEnd(s->ref, (ClientData) l);
     } else if (s2->sNum != s->sNum) {
 	if (DEBUG(SUFF)) {
 	    printf("before %s(%d)\n", s2->name, s2->sNum);
 	}
-	(void)Lst_Insert (l, ln, (ClientData)s);
+	Lst_Insert (l, ln, (ClientData)s);
 	s->refCount++;
-	(void)Lst_AtEnd(s->ref, (ClientData) l);
+	Lst_AtEnd(s->ref, (ClientData) l);
     } else if (DEBUG(SUFF)) {
 	printf("already there\n");
     }
@@ -602,7 +602,7 @@
 	 * by the Parse module.
 	 */
 	gn = Targ_NewGN (line);
-	(void)Lst_AtEnd (transforms, (ClientData)gn);
+	Lst_AtEnd (transforms, (ClientData)gn);
     } else {
 	/*
 	 * New specification for transformation rule. Just nuke the old list
@@ -619,7 +619,7 @@
 
     gn->type = OP_TRANSFORM;
 
-    (void)SuffParseTransform(line, &s, &t);
+    SuffParseTransform(line, &s, &t);
 
     /*
      * link the two together in the proper relationship and order
@@ -810,7 +810,7 @@
 	s->flags =  	0;
 	s->refCount =	0;
 
-	(void)Lst_AtEnd (sufflist, (ClientData)s);
+	Lst_AtEnd (sufflist, (ClientData)s);
 	/*
 	 * Look for any existing transformations from or to this suffix.
 	 * XXX: Only do this after a Suff_ClearSuffixes?
@@ -1015,7 +1015,7 @@
 	s->refCount++;
 	s2->children =	0;
 	targ->children += 1;
-	(void)Lst_AtEnd (ls->l, (ClientData)s2);
+	Lst_AtEnd (ls->l, (ClientData)s2);
 #ifdef DEBUG_SRC
 	s2->cp = Lst_Init(FALSE);
 	Lst_AtEnd(targ->cp, (ClientData) s2);
@@ -1033,7 +1033,7 @@
     s->refCount++;
     s2->children =  0;
     targ->children += 1;
-    (void)Lst_AtEnd (ls->l, (ClientData)s2);
+    Lst_AtEnd (ls->l, (ClientData)s2);
 #ifdef DEBUG_SRC
     s2->cp = Lst_Init(FALSE);
     Lst_AtEnd(targ->cp, (ClientData) s2);
@@ -1232,7 +1232,7 @@
     char    	  	*cp;
 
     t = targ->node;
-    (void) Lst_Open (t->children);
+    Lst_Open (t->children);
     prefLen = strlen (targ->pref);
 
     while ((ln = Lst_Next (t->children)) != NILLNODE) {
@@ -1353,7 +1353,7 @@
 		 */
 		char	*sacrifice = cp;
 
-		(void)Arch_ParseArchive(&sacrifice, members, pgn);
+		Arch_ParseArchive(&sacrifice, members, pgn);
 	    } else {
 		/*
 		 * Break the result into a vector of strings whose nodes
@@ -1375,7 +1375,7 @@
 			 */
 			*cp++ = '\0';
 			gn = Targ_FindNode(start, TARG_CREATE);
-			(void)Lst_AtEnd(members, (ClientData)gn);
+			Lst_AtEnd(members, (ClientData)gn);
 			while (*cp == ' ' || *cp == '\t') {
 			    cp++;
 			}
@@ -1414,7 +1414,7 @@
 		     * Stuff left over -- add it to the list too
 		     */
 		    gn = Targ_FindNode(start, TARG_CREATE);
-		    (void)Lst_AtEnd(members, (ClientData)gn);
+		    Lst_AtEnd(members, (ClientData)gn);
 		}
 		/*
 		 * Point cp back at the beginning again so the variable value
@@ -1432,9 +1432,9 @@
 		    printf("%s...", gn->name);
 		}
 		if (Lst_Member(pgn->children, (ClientData)gn) == NILLNODE) {
-		    (void)Lst_Append(pgn->children, prevLN, (ClientData)gn);
+		    Lst_Append(pgn->children, prevLN, (ClientData)gn);
 		    prevLN = Lst_Succ(prevLN);
-		    (void)Lst_AtEnd(gn->parents, (ClientData)pgn);
+		    Lst_AtEnd(gn->parents, (ClientData)pgn);
 		    pgn->unmade++;
 		}
 	    }
@@ -1509,9 +1509,9 @@
 	     * up the parent's count of unmade children.
 	     */
 	    if (Lst_Member(pgn->children, (ClientData)gn) == NILLNODE) {
-		(void)Lst_Append(pgn->children, prevLN, (ClientData)gn);
+		Lst_Append(pgn->children, prevLN, (ClientData)gn);
 		prevLN = Lst_Succ(prevLN);
-		(void)Lst_AtEnd(gn->parents, (ClientData)pgn);
+		Lst_AtEnd(gn->parents, (ClientData)pgn);
 		pgn->unmade++;
 	    }
 	}
@@ -1570,8 +1570,8 @@
 	 * Not already linked, so form the proper links between the
 	 * target and source.
 	 */
-	(void)Lst_AtEnd(tGn->children, (ClientData)sGn);
-	(void)Lst_AtEnd(sGn->parents, (ClientData)tGn);
+	Lst_AtEnd(tGn->children, (ClientData)sGn);
+	Lst_AtEnd(sGn->parents, (ClientData)tGn);
 	tGn->unmade += 1;
     }
 
@@ -1590,8 +1590,8 @@
 		 * Not already linked, so form the proper links between the
 		 * target and source.
 		 */
-		(void)Lst_AtEnd(tGn->children, (ClientData)gn);
-		(void)Lst_AtEnd(gn->parents, (ClientData)tGn);
+		Lst_AtEnd(tGn->children, (ClientData)gn);
+		Lst_AtEnd(gn->parents, (ClientData)tGn);
 		tGn->unmade += 1;
 	    }
 	}
@@ -1626,7 +1626,7 @@
     /*
      * Pass the buck to Make_HandleUse to apply the rule
      */
-    (void)Make_HandleUse(gn, tGn);
+    Make_HandleUse(gn, tGn);
 
     /*
      * Deal with wildcards and variables in any acquired sources
@@ -1641,7 +1641,7 @@
      * Keep track of another parent to which this beast is transformed so
      * the .IMPSRC variable can be set correctly for the parent.
      */
-    (void)Lst_AtEnd(sGn->iParents, (ClientData)tGn);
+    Lst_AtEnd(sGn->iParents, (ClientData)tGn);
 
     return(TRUE);
 }
@@ -1702,8 +1702,8 @@
      * Create the link between the two nodes right off
      */
     if (Lst_Member(gn->children, (ClientData)mem) == NILLNODE) {
-	(void)Lst_AtEnd(gn->children, (ClientData)mem);
-	(void)Lst_AtEnd(mem->parents, (ClientData)gn);
+	Lst_AtEnd(gn->children, (ClientData)mem);
+	Lst_AtEnd(mem->parents, (ClientData)gn);
 	gn->unmade += 1;
     }
 
@@ -1886,7 +1886,7 @@
 	    /*
 	     * Record the target so we can nuke it
 	     */
-	    (void)Lst_AtEnd(targs, (ClientData)targ);
+	    Lst_AtEnd(targs, (ClientData)targ);
 
 	    /*
 	     * Search from this suffix's successor...
@@ -1929,7 +1929,7 @@
 	if (DEBUG(SUFF))
 	    printf("adding suffix rules\n");
 
-	(void)Lst_AtEnd(targs, (ClientData)targ);
+	Lst_AtEnd(targs, (ClientData)targ);
     }
 
     /*
Index: make/targ.c
===================================================================
RCS file: /cvs/src/usr.bin/make/targ.c,v
retrieving revision 1.3
diff -u -u -r1.3 targ.c
--- make/targ.c	3 Nov 2003 19:31:30 -0000	1.3
+++ make/targ.c	7 Nov 2004 20:02:15 -0000
@@ -253,7 +253,7 @@
 	if (isNew) {
 	    gn = Targ_NewGN (name);
 	    Hash_SetValue (he, gn);
-	    (void) Lst_AtEnd (allTargets, (ClientData)gn);
+	    Lst_AtEnd (allTargets, (ClientData)gn);
 	}
     } else {
 	he = Hash_FindEntry (&targets, name);
@@ -306,9 +306,9 @@
 	     * are added to the list in the order in which they were
 	     * encountered in the makefile.
 	     */
-	    (void) Lst_AtEnd (nodes, (ClientData)gn);
+	    Lst_AtEnd (nodes, (ClientData)gn);
 	    if (gn->type & OP_DOUBLEDEP) {
-		(void)Lst_Concat (nodes, gn->cohorts, LST_CONCNEW);
+		Lst_Concat (nodes, gn->cohorts, LST_CONCNEW);
 	    }
 	} else if (flags == TARG_NOCREATE) {
 	    Error ("\"%s\" -- target unknown.", name);
Index: make/util.c
===================================================================
RCS file: /cvs/src/usr.bin/make/util.c,v
retrieving revision 1.2
diff -u -u -r1.2 util.c
--- make/util.c	17 Jun 2003 04:29:29 -0000	1.2
+++ make/util.c	7 Nov 2004 20:02:15 -0000
@@ -70,7 +70,7 @@
     int len = strlen(name) + strlen(value) + 2; /* = \0 */
     char *ptr = (char*) malloc(len);
 
-    (void) dum;
+    dum;
 
     if (ptr == NULL)
 	return -1;
@@ -134,7 +134,7 @@
 {
     struct sigvec osv, sv;
 
-    (void) sigvector(s, (struct sigvec *) 0, &osv);
+    sigvector(s, (struct sigvec *) 0, &osv);
     sv = osv;
     sv.sv_handler = a;
 #ifdef SV_BSDSIG
@@ -183,7 +183,7 @@
 
     /* find the inode of root */
     if (stat("/", &st_root) == -1) {
-	(void) sprintf(pathname,
+	sprintf(pathname,
 			"getwd: Cannot stat \"/\" (%s)", strerror(errno));
 	return (NULL);
     }
@@ -194,7 +194,7 @@
 
     /* find the inode of the current directory */
     if (lstat(".", &st_cur) == -1) {
-	(void) sprintf(pathname,
+	sprintf(pathname,
 			"getwd: Cannot stat \".\" (%s)", strerror(errno));
 	return (NULL);
     }
@@ -206,7 +206,7 @@
 	/* look if we found root yet */
 	if (st_cur.st_ino == st_root.st_ino &&
 	    DEV_DEV_COMPARE(st_cur.st_dev, st_root.st_dev)) {
-	    (void) strcpy(pathname, *pathptr != '/' ? "/" : pathptr);
+	    strcpy(pathname, *pathptr != '/' ? "/" : pathptr);
 	    return (pathname);
 	}
 
@@ -239,11 +239,11 @@
 	    for (d = readdir(dp); d != NULL; d = readdir(dp)) {
 		if (ISDOT(d->d_name) || ISDOTDOT(d->d_name))
 		    continue;
-		(void) strcpy(cur_name_add, d->d_name);
+		strcpy(cur_name_add, d->d_name);
 		if (lstat(nextpathptr, &st_next) == -1) {
 		    snprintf(pathname, sizeof(pathname), "getwd: Cannot stat \"%s\" (%s)",
 				    d->d_name, strerror(errno));
-		    (void) closedir(dp);
+		    closedir(dp);
 		    return (NULL);
 		}
 		/* check if we found it yet */
@@ -253,15 +253,15 @@
 	    }
 	}
 	if (d == NULL) {
-	    (void) sprintf(pathname, "getwd: Cannot find \".\" in \"..\"");
-	    (void) closedir(dp);
+	    sprintf(pathname, "getwd: Cannot find \".\" in \"..\"");
+	    closedir(dp);
 	    return (NULL);
 	}
 	st_cur = st_dotdot;
 	pathptr = strrcpy(pathptr, d->d_name);
 	pathptr = strrcpy(pathptr, "/");
 	nextpathptr = strrcpy(nextpathptr, "../");
-	(void) closedir(dp);
+	closedir(dp);
 	*cur_name_add = '\0';
     }
 } /* end getwd */
Index: make/var.c
===================================================================
RCS file: /cvs/src/usr.bin/make/var.c,v
retrieving revision 1.5
diff -u -u -r1.5 var.c
--- make/var.c	19 Apr 2004 17:44:53 -0000	1.5
+++ make/var.c	7 Nov 2004 20:02:15 -0000
@@ -371,8 +371,8 @@
 
     v->flags = 0;
 
-    (void) Lst_AtFront (ctxt->context, (ClientData)v);
-    (void) Lst_AtEnd (allVars, (ClientData) v);
+    Lst_AtFront (ctxt->context, (ClientData)v);
+    Lst_AtEnd (allVars, (ClientData) v);
     if (DEBUG(VAR)) {
 	printf("%s:%s = %s\n", ctxt->name, name, val);
     }
Index: mesg/mesg.c
===================================================================
RCS file: /cvs/src/usr.bin/mesg/mesg.c,v
retrieving revision 1.3
diff -u -u -r1.3 mesg.c
--- mesg/mesg.c	4 Oct 2003 20:36:49 -0000	1.3
+++ mesg/mesg.c	7 Nov 2004 20:02:15 -0000
@@ -75,10 +75,10 @@
 
 	if (*argv == NULL) {
 		if (sb.st_mode & S_IWGRP) {
-			(void)fprintf(stderr, "is y\n");
+			fprintf(stderr, "is y\n");
 			exit(0);
 		}
-		(void)fprintf(stderr, "is n\n");
+		fprintf(stderr, "is n\n");
 		exit(1);
 	}
 
@@ -100,6 +100,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: mesg [y | n]\n");
+	fprintf(stderr, "usage: mesg [y | n]\n");
 	exit(2);
 }
Index: mkfifo/mkfifo.c
===================================================================
RCS file: /cvs/src/usr.bin/mkfifo/mkfifo.c,v
retrieving revision 1.3
diff -u -u -r1.3 mkfifo.c
--- mkfifo/mkfifo.c	4 Oct 2003 20:36:49 -0000	1.3
+++ mkfifo/mkfifo.c	7 Nov 2004 20:02:15 -0000
@@ -99,6 +99,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: mkfifo [-m mode] fifo_name ...\n");
+	fprintf(stderr, "usage: mkfifo [-m mode] fifo_name ...\n");
 	exit(1);
 }
Index: msgs/msgs.c
===================================================================
RCS file: /cvs/src/usr.bin/msgs/msgs.c,v
retrieving revision 1.3
diff -u -u -r1.3 msgs.c
--- msgs/msgs.c	4 Oct 2003 20:36:49 -0000	1.3
+++ msgs/msgs.c	7 Nov 2004 20:02:15 -0000
@@ -482,7 +482,7 @@
 		 */
 		if (totty)
 			signal(SIGTSTP, onsusp);
-		(void) setjmp(tstpbuf);
+		setjmp(tstpbuf);
 		already = YES;
 		nlines = 2;
 		if (seenfrom) {
@@ -729,7 +729,7 @@
 	printf("%s ", prompt);
 	fflush(stdout);
 	intrpflg = NO;
-	(void) fgets(inbuf, sizeof inbuf, stdin);
+	fgets(inbuf, sizeof inbuf, stdin);
 	if ((n = strlen(inbuf)) > 0 && inbuf[n - 1] == '\n')
 		inbuf[n - 1] = '\0';
 	if (intrpflg)
Index: mt/mt.c
===================================================================
RCS file: /cvs/src/usr.bin/mt/mt.c,v
retrieving revision 1.5
diff -u -u -r1.5 mt.c
--- mt/mt.c	22 Jan 2004 03:22:53 -0000	1.5
+++ mt/mt.c	7 Nov 2004 20:02:15 -0000
@@ -231,33 +231,33 @@
 
 			if (ioctl(mtfd, comp->c_code, (caddr_t)&umn) < 0)
 				err(2, "%s", tape);
-			(void)printf("Last I/O Residual: %u\n", s->io_resid);
-			(void)printf(" Last I/O Command:");
+			printf("Last I/O Residual: %u\n", s->io_resid);
+			printf(" Last I/O Command:");
 			for (i = 0; i < sizeof (s->io_cdb); i++)
-				(void)printf(" %02X", s->io_cdb[i]);
-			(void)printf("\n");
-			(void)printf("   Last I/O Sense:\n\n\t");
+				printf(" %02X", s->io_cdb[i]);
+			printf("\n");
+			printf("   Last I/O Sense:\n\n\t");
 			for (i = 0; i < sizeof (s->io_sense); i++) {
-				(void)printf(" %02X", s->io_sense[i]);
+				printf(" %02X", s->io_sense[i]);
 				if (((i + 1) & 0xf) == 0) {
-					(void)printf("\n\t");
+					printf("\n\t");
 				}
 			}
-			(void)printf("\n");
-			(void)printf("Last Control Residual: %u\n",
+			printf("\n");
+			printf("Last Control Residual: %u\n",
 			    s->ctl_resid);
-			(void)printf(" Last Control Command:");
+			printf(" Last Control Command:");
 			for (i = 0; i < sizeof (s->ctl_cdb); i++)
-				(void)printf(" %02X", s->ctl_cdb[i]);
-			(void)printf("\n");
-			(void)printf("   Last Control Sense:\n\n\t");
+				printf(" %02X", s->ctl_cdb[i]);
+			printf("\n");
+			printf("   Last Control Sense:\n\n\t");
 			for (i = 0; i < sizeof (s->ctl_sense); i++) {
-				(void)printf(" %02X", s->ctl_sense[i]);
+				printf(" %02X", s->ctl_sense[i]);
 				if (((i + 1) & 0xf) == 0) {
-					(void)printf("\n\t");
+					printf("\n\t");
 				}
 			}
-			(void)printf("\n\n");
+			printf("\n\n");
 			exit(0);
 			/* NOTREACHED */
 		}
@@ -267,7 +267,7 @@
 			u_int32_t block;
 			if (ioctl(mtfd, comp->c_code, (caddr_t)&block) < 0)
 				err(2, "%s", tape);
-			(void)printf("%s: %s block location %u\n", tape,
+			printf("%s: %s block location %u\n", tape,
 			    (comp->c_code == MTIOCRDHPOS)? "hardware" :
 			    "logical", block);
 			exit(0);
@@ -287,7 +287,7 @@
 			u_int32_t om;
 			if (ioctl(mtfd, MTIOCGETEOTMODEL, (caddr_t)&om) < 0)
 				err(2, "%s", tape);
-			(void)printf("%s: the model is %u filemar%s at EOT\n",
+			printf("%s: the model is %u filemar%s at EOT\n",
 			    tape, om, (om > 1)? "ks" : "k");
 			exit(0);
 			/* NOTREACHED */
@@ -299,9 +299,9 @@
 				err(2, "%s", tape);
 			if (ioctl(mtfd, comp->c_code, (caddr_t)&nm) < 0)
 				err(2, "%s", tape);
-			(void)printf("%s: old model was %u filemar%s at EOT\n",
+			printf("%s: old model was %u filemar%s at EOT\n",
 			    tape, om, (om > 1)? "ks" : "k");
-			(void)printf("%s: new model  is %u filemar%s at EOT\n",
+			printf("%s: new model  is %u filemar%s at EOT\n",
 			    tape, nm, (nm > 1)? "ks" : "k");
 			exit(0);
 			/* NOTREACHED */
@@ -392,7 +392,7 @@
 
 	for (mt = tapes;; mt++) {
 		if (mt->t_type == 0) {
-			(void)printf("%d: unknown tape drive type\n",
+			printf("%d: unknown tape drive type\n",
 			    bp->mt_type);
 			return;
 		}
@@ -404,10 +404,10 @@
 		st_status(bp);
 	else {
 #endif /* defined (__DragonFly__) */
-	(void)printf("%s tape drive, residual=%d\n", mt->t_name, bp->mt_resid);
+	printf("%s tape drive, residual=%d\n", mt->t_name, bp->mt_resid);
 	printreg("ds", (unsigned short)bp->mt_dsreg, mt->t_dsbits);
 	printreg("\ner", (unsigned short)bp->mt_erreg, mt->t_erbits);
-	(void)putchar('\n');
+	putchar('\n');
 #if defined (__DragonFly__)
 	}
 #endif /* defined (__DragonFly__) */
@@ -449,7 +449,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: mt [-f device] command [ count ]\n");
+	fprintf(stderr, "usage: mt [-f device] command [ count ]\n");
 	exit(1);
 }
 
@@ -695,7 +695,7 @@
 			printf(sfmt, "Loading");
 			break;
 		default:
-			(void) sprintf(foo, "Unknown state 0x%x", bp->mt_dsreg);
+			sprintf(foo, "Unknown state 0x%x", bp->mt_dsreg);
 			printf(sfmt, foo);
 			break;
 		}
